NTFY(1)

NAME
ntfy - Simple pub-sub notification service

SYNOPSIS
ntfy [OPTIONS]
ntfy <COMMAND> [OPTIONS]

DESCRIPTION
ntfy - pronounced "notify" - is a simple HTTP-based pub-sub notification service. With ntfy, you can send notifications to your phone or desktop via scripts from any computer

COMMANDS
This program provides both the client and server commands for ntfy. Both can be run as services but are usually disabled.

For command-specific options, run ntfy <command> --help

  CLIENT COMMANDS
publish [OPTIONS] <topic> [message]
    Send message via a ntfy server to a topic
    aliases: send trigger pub

subscribe [OPTIONS] <[SERVER/]topic> [EXECUTE_COMMAND]
subscribe [OPTIONS] --from-config
    Subscribe to a topic which could be on a different server.
    If an optional command argument is passed, it will be executed when a message arrives.
    The second form can subscribe to multiple topics from config file.
    aliases: sub

  SERVER COMMANDS
These are server-only commands, with the exception of serve. They will directly manage the user.db as defined in the server config file server.yml. They require a properly defined 'auth-file'.

access [USERNAME [TOPIC [PERMISSION]]]
    Show the access control list, as well as change it, depending on how it is called.
    PERMISSION can be one of the following:
        read-write (alias: rw)
        read-only (aliases: read, ro)
        write-only (aliases: write, wo)
        deny (alias: none)
    Please also refer to the related command user.

serve
serve --listen-http :8080
    Run the ntfy server in the foreground (default port 80)

tier [list|add|change|remove] [OPTIONS]
    Manage/show tiers
    The command allows you to add/remove/change tiers in the ntfy user database. Tiers are used
    to grant users higher limits, such as daily message limits, attachment size, or make it
    possible for users to reserve topics.

token <list|add|remove> [OPTIONS]
    List, add or delete user tokens which can be used publish, subscribe, or perform any other user-specific tasks.
    Tokens have full access, and can perform any task a user can do. They are meant to be used to
    avoid spreading the password to various places.

user [list|add|remove|change-pass|change-role] [OPTIONS]
    List/add/remove/change users in the ntfy user database, as well as change passwords or roles.
    Please also refer to the related command access.

GLOBAL OPTIONS

--help, -h
    Shows a list of commands or help for one command

    Try 'ntfy COMMAND --help' or https://ntfy.sh/docs/ for more information.

--debug, -d
    enable debug logging (default: false) [$NTFY_DEBUG]

--trace
    enable tracing (very verbose, be careful) (default: false) [$NTFY_TRACE]

--no-log-dates, --no_log_dates
    disable the date/time prefix (default: false) [$NTFY_NO_LOG_DATES]

--log-level value, --log_level value
    set log level (default: "INFO") [$NTFY_LOG_LEVEL]

--log-level-overrides value, --log_level_overrides value
    set log level overrides [$NTFY_LOG_LEVEL_OVERRIDES]

--log-format value, --log_format value
    set log format (default: "text") [$NTFY_LOG_FORMAT]

--log-file value, --log_file value
    set log file, default is STDOUT [$NTFY_LOG_FILE]

ISSUES
To report a bug, open an issue on GitHub: https://github.com/binwiederhier/ntfy/issues
If you want to chat, simply join the Discord server (https://discord.gg/cT7ECsZj9w)
or the Matrix room (https://matrix.to/#/#ntfy:matrix.org).

COPYRIGHT
Copyright © 2022 Philipp C. Heckel, licensed under Apache License 2.0 & GPLv2

AUTHOR
Man page written for debian by Ahmad Khalifa.